#
# spec file for package libgpg-error (Version 1.6)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libgpg-error
Url:            http://www.gnupg.org/
Version:        1.6
Release:        5
Summary:        Library That Defines Common Error Values for All GnuPG Components
License:        GPL v2 or later; LGPL v2.1 or later
Group:          Development/Libraries/C and C++
AutoReqProv:    on
# bug437293
%ifarch ppc64
Obsoletes:      libgpg-error-64bit
%endif
%ifarch  %ix86 ppc
Obsoletes:      libgpg-error-32bit
%endif
#
Source:         %name-%version.tar.bz2
# rename package to "libgpg-error-nld" and set this to 1 for NLD
%define nld_build 0
Patch0:         %name-nld-build.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon, and possibly more in the future.



Authors:
--------
    Marcus Brinkmann <marcus@g10code.com>

%package -n libgpg-error0
Summary:        Library That Defines Common Error Values for All GnuPG Components
License:        GPL v2 or later; LGPL v2.1 or later
Group:          Development/Libraries/C and C++
Provides:       libgpg-error = %version
Obsoletes:      libgpg-error < %version

%description -n libgpg-error0
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon, and possibly more in the future.



Authors:
--------
    Marcus Brinkmann <marcus@g10code.com>

%package devel
License:        GPL v2 or later; LGPL v2.1 or later; X11/MIT
Summary:        Development package for libgpg-error
Group:          Development/Libraries/C and C++
# bug437293
%ifarch ppc64
Obsoletes:      libgpg-error-devel-64bit
%endif
%ifarch  %ix86 ppc
Obsoletes:      libgpg-error-devel-32bit
%endif
#
%if %nld_build
Conflicts:      libgpg-error-devel
%endif
Requires:       libgpg-error0 == %version

%description devel
Files needed for software development using libgpg-error.



Authors:
--------
    Marcus Brinkmann <marcus@g10code.com>

%prep
%setup -q -n libgpg-error-%version
autoreconf --force
%if %nld_build
%patch
%endif

%build
libtoolize --force
aclocal -I m4
automake -a
autoconf
./configure --prefix=%{_prefix} \
	    --sysconfdir=%{_sysconfdir} \
	    --libdir=/%{_lib} \
	    --infodir=%{_infodir} \
            CFLAGS="$RPM_OPT_FLAGS" 
make 

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT/%{_lib}/libgpg-error.la
mkdir -p $RPM_BUILD_ROOT%{_libdir}
rm $RPM_BUILD_ROOT/%{_lib}/libgpg-error.so
ln -s /%{_lib}/libgpg-error.so.0 $RPM_BUILD_ROOT%{_libdir}/libgpg-error.so
mv $RPM_BUILD_ROOT/%{_lib}/libgpg-error.a $RPM_BUILD_ROOT%{_libdir}
# Drop the lisp stuff, it depends on ASDF and CFFI
# which needs to be packaged first
rm -r %{buildroot}/usr/share/common-lisp
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libgpg-error0
%run_ldconfig

%postun -n libgpg-error0
%run_ldconfig

%files -n libgpg-error0 -f %{name}.lang
%defattr(-,root,root)
/%_lib/libgpg-error*.so.*

%files devel
%defattr(-,root,root)
%doc README NEWS ChangeLog COPYING.LIB COPYING AUTHORS ABOUT-NLS
%_datadir/aclocal/gpg-error.m4
%_includedir/*
%_bindir/*
%_libdir/libgpg-error*.a
%_libdir/libgpg-error*.so

%changelog
* Thu Oct 30 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Sun May 11 2008 coolo@suse.de
- fix rename of xxbit packages
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Nov 21 2007 mkoenig@suse.de
- update to version 1.6
  * Minor build system fixes
  * gpg-error has a new option --version
  * Interface changes relative to the 1.4 release:
  GPG_ERR_UNFINISHED            NEW
  GPG_ERR_SOURCE_GPA            NEW
  GPG_ERR_SOURCE_KLEO           NEW
- package branch to conform shlib policy:
  libgpg-error0
* Wed Dec 13 2006 mkoenig@suse.de
- get rid of .la file and fix devel so link
* Tue Dec 05 2006 mkoenig@suse.de
- move shared lib to /%%_lib
* Tue Sep 19 2006 mkoenig@suse.de
- update to version 1.4:
  * New error codes for the Assuan IPC library.
  * New error code GPG_ERR_MISSING_ERRNO
  * New error source GPG_ERR_SOURCE_ANY
  * New convenience functions gpg_err_code_from_syserror and
  gpg_error_from_syserror
* Thu Jul 13 2006 mskibbe@suse.de
- add autoreconf --force ( includes the missing -fPIC option while
  build )
* Wed Jul 12 2006 mskibbe@suse.de
- update to version 1.3 which
  o includes fixes in Makefiles
  o fix cast problems
  o include utf8 functions
  o add some languages
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jun 23 2005 hvogel@suse.de
- require libgpg-error
- add %%clean section
* Thu Oct 14 2004 hvogel@suse.de
- update to version 1.0
* Mon Sep 27 2004 hvogel@suse.de
- fixed ac-quotation of gpg-error.m4
* Mon Jul 19 2004 hvogel@suse.de
- correct nld_build if statement
* Wed Jul 14 2004 adrian@suse.de
- create -devel subpackage
- prepare for NLD
* Mon May 24 2004 ro@suse.de
- added return value to non-void function (main)
* Wed May 19 2004 hvogel@suse.de
- update to version 0.7
* Tue Feb 17 2004 hvogel@suse.de
- initial package, version 0.6
